
QGIS Application - Bug report #15975

GeoPackage: field seems to be editable (but is not) after stopping editing

2016-12-12 05:40 AM - Jérôme Guélat

Status: Closed

Priority: Normal

Assignee: David Signer

Category: Unknown

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23891

Description

Here's how to reproduce the bug:

1. Create a new GeoPackage layer

2. Digitize a few features

3. Open the attribute table and add values in the different fields

4. Stop editing (and save the edits)

One cell remains active and appears to be editable (you can write something else). The original value will appear again when you click

somewhere else in the table.

Associated revisions

Revision 51ee7131 - 2018-11-21 09:09 AM - David Signer

Disable current cell on editing off

because otherwise on single cell change the change would not been stored in mEditBuffer

fixes #15975

Revision 8a47643a - 2018-12-04 07:40 AM - David Signer

Disable current cell on editing off

because otherwise on single cell change the change would not been stored in mEditBuffer

fixes #15975

(cherry-picked from 51ee71316f7ca187fca2c78659922b798c5e87ef)

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2017-09-22 09:56 AM - Jürgen Fischer

- Category set to Unknown

2024-04-25 1/2



#3 - 2018-11-06 10:14 AM - David Signer

- Description updated

- Assignee set to David Signer

#4 - 2018-11-06 11:59 AM - David Signer

It's even worse.

First scenario (working fine):

Edit first field, go to the next and edit it as well and without getting out of the field, toggle to "not-editing". The message appears "Do you want to save

changes" -> if yes, the changes are made and the table is read only.

Second scenario (not saving, not read only):

Edit one field and before going out of it, toggle to "not-editing". The message does not appear and nothing is saved. The field is still editable but does not

save something. If loosing focus it's read only.

What it should do:

I guess the behavior of the first scenario is correct. This means, if changing a value and not leaving the field but toggle to "not-editing" it should store the

values.

Edit: And if another field is changed as well that lost the focus before - message appears and both fields are stored successfully in the end.

#5 - 2018-11-22 01:43 PM - David Signer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|51ee71316f7ca187fca2c78659922b798c5e87ef.
